<html>
<head>
<title>OGRE: Class Members - Variables - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li><a href="functions_func.html"><span>Functions</span></a></li>
    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_vars.html#index__"><span>_</span></a></li>
    <li><a href="functions_vars_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_vars_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_vars_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
    <li class="current"><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_vars_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_vars_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_vars_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_vars_0x7a.html#index_z"><span>z</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>scale
: <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#feb0331655420b25a11334d7599f7c56">Ogre::InstancedGeometry::QueuedSubMesh</a>
, <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#0090966deab54028b9a298496c8fd1a3">Ogre::InstancedGeometry::QueuedGeometry</a>
, <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#c8f3fa1934b2e7239b4ea3fd6c0d2fb4">Ogre::StaticGeometry::QueuedSubMesh</a>
, <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#f13765fe72f89bd33db5feec0beec29b">Ogre::StaticGeometry::QueuedGeometry</a>
, <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#79bb4debcd21595087623b9a8d17d121">Ogre::LinkedSkeletonAnimationSource</a>
<li>scaleSpline
: <a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html#f7740aeef144596bb9eab92e0aefab3a">Ogre::NodeAnimationTrack::Splines</a>
<li>sceneTypeMask
: <a class="el" href="structOgre_1_1SceneManagerMetaData.html#35faea95cb6f142f8f42b44be4a5b973">Ogre::SceneManagerMetaData</a>
<li>seam
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#055efe6d7c72ddef5215588ab540fe63">Ogre::ProgressiveMesh::PMVertex</a>
<li>section
: <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81f44dba0c5e2328f81d899b525d5aa4">Ogre::MaterialScriptCompiler::MaterialScriptContext</a>
, <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#09f8dc74da7f92008d6bd0b6ab23b941">Ogre::CompositorScriptCompiler::CompositorScriptContext</a>
, <a class="el" href="structOgre_1_1MaterialScriptContext.html#d40690e3e1f21dd8dcfa844eaa905bd5">Ogre::MaterialScriptContext</a>
<li>SEGMENT_EMPTY
: <a class="el" href="classOgre_1_1BillboardChain.html#a2b8d91d34882251046dc02ae2500932">Ogre::BillboardChain</a>
<li>shadowsEnabled
: <a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#c130ef8cace8c4af74ba60f37deb25fe">Ogre::CompositorInstance::TargetOperation</a>
<li>sharedBlendIndexToBoneIndexMap
: <a class="el" href="classOgre_1_1Mesh.html#a9a6fc00032943a35fd293b5c664929e">Ogre::Mesh</a>
<li>sharedVertexData
: <a class="el" href="classOgre_1_1Mesh.html#1fd9968ccd424f913a7f3f68639f3ecf">Ogre::Mesh</a>
<li>sharedVertIndex
: <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html#7d4ef75a8c204871c1829dbae25e5f7d">Ogre::EdgeData::Triangle</a>
, <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#01c602e99ec1f7296cca73595e0ab55e">Ogre::EdgeData::Edge</a>
<li>singleIntersection
: <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#bfe0314db3e89040486ceb1ba36a8682">Ogre::SceneQuery::WorldFragment</a>
<li>size
: <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#df09c2a3243681cfb4f38f8c6074d111">Ogre::ImageCodec::ImageData</a>
, <a class="el" href="struct__finddata__t.html#acf50a90e0fa143ce6ff22628b8c58aa">_finddata_t</a>
, <a class="el" href="classOgre_1_1VertexCacheProfiler.html#dc56faf57c63b1d1df6bb2f09892b3b5">Ogre::VertexCacheProfiler</a>
<li>skeletonName
: <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#18367921f5c2e7eddaf14a54dacd3484">Ogre::LinkedSkeletonAnimationSource</a>
<li>skyBoxDistance
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyBoxGenParameters.html#edbe96b2f7cadad8528ed4a9df113c31">Ogre::SceneManager::SkyBoxGenParameters</a>
<li>skyDomeCurvature
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#08c56f9135c39cecde30e309d958373f">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyDomeDistance
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#62a6820c8420a4828b46bb4ae95f7c82">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyDomeTiling
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#9336ec10c0bc105f08c9e9f0353ab452">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyDomeXSegments
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#58eaf4603b1e054872c00de16fefcd4b">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyDomeYSegments
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#915f25d1968dbf70aa9d3c56b8c3fe92">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyDomeYSegments_keep
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html#1a79e9a5dbbe940af853d805264dde33">Ogre::SceneManager::SkyDomeGenParameters</a>
<li>skyPlaneBow
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#ffded02d7446a84df467f367beeb022e">Ogre::SceneManager::SkyPlaneGenParameters</a>
<li>skyPlaneScale
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#195da963d9b0190f231d0b3993b9398f">Ogre::SceneManager::SkyPlaneGenParameters</a>
<li>skyPlaneTiling
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91880d08789c5e1848ec08f7f1c38409">Ogre::SceneManager::SkyPlaneGenParameters</a>
<li>skyPlaneXSegments
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91db58fc3ac636b3b1d21fa7358daf0e">Ogre::SceneManager::SkyPlaneGenParameters</a>
<li>skyPlaneYSegments
: <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#9915f0f224dc6b7a615b7ed521dc8757">Ogre::SceneManager::SkyPlaneGenParameters</a>
<li>slicePitch
: <a class="el" href="classOgre_1_1PixelBox.html#5f4ac4f2e735678fc8b3ddc1068674dd">Ogre::PixelBox</a>
<li>sortDir
: <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#176f7142382739d74eef63c9f26beee2">Ogre::BillboardSet::SortByDirectionFunctor</a>
, <a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html#30a3683c4c2e6e5fd17afcd04db8588e">Ogre::ParticleSystem::SortByDirectionFunctor</a>
<li>sortPos
: <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#a9b57d6caf0889fa7ec77065bbd79269">Ogre::BillboardSet::SortByDistanceFunctor</a>
, <a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html#a6061b63b183e436760f70f662162bdb">Ogre::ParticleSystem::SortByDistanceFunctor</a>
<li>source
: <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#272a7940595ca0d7829769f9a9d41a82">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
, <a class="el" href="classOgre_1_1Exception.html#224971e0792a4fa0a718107b6e9074fe">Ogre::Exception</a>
, <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#cb6cf4f2d3a5fdaff51d6ca169ad0fc0">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html#d70a30225c318f3f6e3fc20b5edc34f6">Ogre::RenderTargetViewportEvent</a>
, <a class="el" href="structOgre_1_1RenderTargetEvent.html#ceb69f7a9bbb3b126fea2bfded331a41">Ogre::RenderTargetEvent</a>
<li>source1
: <a class="el" href="classOgre_1_1LayerBlendModeEx.html#334818129ca44c1fbdba2b3b2813368a">Ogre::LayerBlendModeEx</a>
<li>source2
: <a class="el" href="classOgre_1_1LayerBlendModeEx.html#94eeae80ba84e9aa5271d317d48f2688">Ogre::LayerBlendModeEx</a>
<li>srcNormalBuffer
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#04f81935036ade45ee9b27076cdbff1f">Ogre::TempBlendedBufferInfo</a>
<li>srcPositionBuffer
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ba9a78063ebade2611b1b7fb86556269">Ogre::TempBlendedBufferInfo</a>
<li>srcRenderable
: <a class="el" href="classOgre_1_1RenderOperation.html#6f6cbc81ef5f41d3a0357a40095aba33">Ogre::RenderOperation</a>
<li>stage
: <a class="el" href="structOgre_1_1IlluminationPass.html#dde147291fef1bf5e3841c800bde68f0">Ogre::IlluminationPass</a>
<li>start
: <a class="el" href="classOgre_1_1Timer.html#8001c51c6e71cb7a0f4f1f923f50067b">Ogre::Timer</a>
, <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#2c6adff0f71d170a1d0c3ca336f44768">Ogre::BillboardChain::ChainSegment</a>
<li>stateLev
: <a class="el" href="structOgre_1_1MaterialScriptContext.html#f315446811bd4d226027fea8689b6dd0">Ogre::MaterialScriptContext</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#38c1df3e48094a27b152fbd642febce1">Ogre::MaterialScriptCompiler::MaterialScriptContext</a>
<li>STATICGEOMETRY_TYPE_MASK
: <a class="el" href="classOgre_1_1SceneManager.html#369ad7a1b8e0455052ea0bca0383942e">Ogre::SceneManager</a>
<li>submesh
: <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html#9cd1961231f4ec732c79c93f14c36474">Ogre::InstancedGeometry::QueuedSubMesh</a>
, <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#6a73cc0fc7d1205b8bddcddf8b5a7ec8">Ogre::StaticGeometry::QueuedSubMesh</a>
<li>subtype
: <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#3436e57eb0e5f928522ef07a93b11e2d">Ogre::TextureUnitState::TextureEffect</a>
<li>supportsMorphAnimation
: <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#7d0607b541edd5abfc19a1e933eed431">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#1cfa6ed9daaef6772840cbfccf920c19">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
<li>supportsPoseAnimation
: <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ceffe25ef1a661814764abcff14693a3">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#07ef4cd51676e5db28c810e57100e7e7">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
<li>supportsSkeletalAnimation
: <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#e1581e882fed968d73656a5a389679ca">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#389c1dee2f778d03a5db397749515d29">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
<li>syntax
: <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#8392666564161eed2e77efed86ead9fd">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#4e60a2d5238aa8120d4718f0e8d87c72">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
<li>SystemTokenBase
: <a class="el" href="classOgre_1_1Compiler2Pass.html#e8b5871649deee214fe466e756f46fdc">Ogre::Compiler2Pass</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:02 2008
</p>
</body>
</html>
